package com.sckw.core.exception;

import lombok.Getter;

import java.io.Serial;

/**
 * @Author yzc
 * @Description 前端自定义提示异常
 * @createTime 2023年06月08日 10:05:00
 */
@Getter
public class CustomPromptException extends RuntimeException {

    @Serial
    private static final long serialVersionUID = -295458079254252674L;
    /**
     * 异常信息
     **/
    private final String msg;
    private final Integer code;
    private Object[] param;

    public CustomPromptException(Integer code,String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public CustomPromptException(Integer code,String msg, Object... param) {
        super(msg);
        this.code = code;
        this.msg = msg;
        this.param = param;
    }

}
